> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fiddler.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Alert Rules REST API Guide

> Discover Fiddler’s Alert Rules REST API guide. Learn to list alerts by time, create alert rules, send notifications for alerts, and more.

<CardGroup cols={2}>
  <Card title="createNotificationForAlertRule" icon="plus" href="/sdk-api/rest-api/alert-rules/create-notification-for-alert-rule">
    `POST /v3/alert-rules/{alert_id}/notification`
  </Card>

  <Card title="Creates Alert Rules" icon="plus" href="/sdk-api/rest-api/alert-rules/create-alert">
    `POST /v3/alert-rules`
  </Card>

  <Card title="Deletes an Alert Rule" icon="trash" href="/sdk-api/rest-api/alert-rules/delete-alert-rule">
    `DELETE /v3/alert-rules/{alert_id}`
  </Card>

  <Card title="Get thresholds that were used to evaluate the given time bin using the given alert rule." icon="magnifying-glass" href="/sdk-api/rest-api/alert-rules/get-alert-thresholds-for-time-bin">
    `GET /v3/alert-rules/{alert_id}/get-thresholds`
  </Card>

  <Card title="List latest alert record for each time bucket during specified time_bucket_start and time_bucket_end for the given alert rule" icon="magnifying-glass" href="/sdk-api/rest-api/alert-rules/get-alert-record-history">
    `GET /v3/alert-rules/{alert_id}/record-history`
  </Card>

  <Card title="List of all alert records during specified time_bucket_start and time_bucket_end for the given alert rule" icon="magnifying-glass" href="/sdk-api/rest-api/alert-rules/get-alert-rule-records">
    `GET /v3/alert-rules/{alert_id}/records`
  </Card>

  <Card title="List of all alert rule summary in the given time_bucket_start and time_bucket_end" icon="magnifying-glass" href="/sdk-api/rest-api/alert-rules/get-alert-rules-summary">
    `GET /v3/alert-rules/summary`
  </Card>

  <Card title="Lists all alert rules configured for a model." icon="magnifying-glass" href="/sdk-api/rest-api/alert-rules/get-alert-rules">
    `GET /v3/alert-rules`
  </Card>

  <Card title="Returns Alert Rule for the given id" icon="magnifying-glass" href="/sdk-api/rest-api/alert-rules/get-alert-rule">
    `GET /v3/alert-rules/{alert_id}`
  </Card>

  <Card title="Returns notification for the given Alert Rule id" icon="magnifying-glass" href="/sdk-api/rest-api/alert-rules/get-notification-for-alert-rule">
    `GET /v3/alert-rules/{alert_id}/notification`
  </Card>

  <Card title="Send a test notification for the given Alert Rule" icon="plus" href="/sdk-api/rest-api/alert-rules/test-notification-for-alert-rule">
    `POST /v3/alert-rules/{alert_id}/test-notification`
  </Card>

  <Card title="Update by id" icon="pen" href="/sdk-api/rest-api/alert-rules/update-notification-for-alert-rule">
    `PATCH /v3/alert-rules/{alert_id}/notification`
  </Card>

  <Card title="Update by id" icon="pen" href="/sdk-api/rest-api/alert-rules/update-alert-rule">
    `PATCH /v3/alert-rules/{alert_id}`
  </Card>
</CardGroup>
